## libxml++ 1.0.4

=== debian/changelog ===
libxml++ (1.0.4-4) unstable; urgency=low

  * QA upload
  * DH compat level 8 (no change)
  * Source format 3.0 (quilt)
  * Add dependencies on ${misc:Depends}
  * debian/libxml++1.0-dev.install: drop *.la file (closes: #622444).
  * Standards-version 3.9.2 (no change)
  * Drop leading article in short descriptions
  * debian/rules: replace dh_clean -k => dh_prep
  * Unset rpath in usr/lib/libxml++-1.0.so.1.0.3 by using chrpath in
    debian/rules, build-depend on chrpath.
  * Do not install jquery.js in libxml++1.0-doc, it is not used.

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Apr 2011 21:34:52 +0200

libxml++ (1.0.4-3) unstable; urgency=low

  * QA upload
  * Moved doxygen from Build-Depends-Indep to Build-Depends (closes: #472323)

 -- Peter Eisentraut <petere@debian.org>  Tue, 25 Mar 2008 15:25:27 +0100

libxml++ (1.0.4-2) unstable; urgency=low

  * QA upload
    - Set maintainer to Debian QA Group
  * Added "build" target to debian/rules (closes: #395783)
  * Don't ignore errors from make distclean target, per lintian
  * Replaced ${Source-Version} by ${binary:Version} in debian/control
  * Created proper Homepage control field
  * Fixed FTBFS with GCC 4.3 (closes: #417366)
  * Added proper copyright notices to debian/copyright, per lintian
  * Corrected doc-base section
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Tue, 18 Mar 2008 03:30:44 +0100

libxml++ (1.0.4-1.2) unstable; urgency=low

  * Non-maintainer upload
  * C++ mt allocator ABI change
    - rename library package to libxml++1.0c2a and 
      conflict/replace libxml++1.0c2
    - move libxml++1.0c2.install to libxml++1.0c2a.install

 -- Gaudenz Steinlin <gaudenz@debian.org>  Tue, 13 Dec 2005 10:59:52 +0100

libxml++ (1.0.4-1.1) unstable; urgency=low

  * Non-maintainer upload
  * C++ transition
    - rename library package to libxml++1.0c2
    - move libxml++1.0.install to libxml++1.0c2.install

 -- Gaudenz Steinlin <gaudenz@debian.org>  Wed,  7 Sep 2005 19:36:18 +0200

libxml++ (1.0.4-1) unstable; urgency=low

  * New upstream release (fixes missing api_export.h)

 -- Chris Leishman <masklin@debian.org>  Sun, 23 May 2004 17:02:35 +1000

libxml++ (1.0.3-2) unstable; urgency=low

  * Install api_export.h in -dev package (closes: Bug#248968)

 -- Chris Leishman <masklin@debian.org>  Sun, 16 May 2004 19:24:31 +1000

libxml++ (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Chris Leishman <masklin@debian.org>  Tue, 11 May 2004 22:24:33 +1000

libxml++ (1.0.2-2) unstable; urgency=low

  * Doxygen tags file goes in -docs package (closes: Bug#238120)

 -- Chris Leishman <masklin@debian.org>  Tue, 16 Mar 2004 01:12:30 +1100

libxml++ (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Distribute the doxygen tags file (closes: Bug#237157)

 -- Chris Leishman <masklin@debian.org>  Thu, 11 Mar 2004 22:59:32 +1100

libxml++ (1.0.0-2) unstable; urgency=low

  * Fixed doc-base (closes: Bug#227008)

 -- Chris Leishman <masklin@debian.org>  Sun, 11 Jan 2004 11:06:00 +1100

libxml++ (1.0.0-1) unstable; urgency=low

  * New upstream release 

 -- Chris Leishman <masklin@debian.org>  Tue,  6 Jan 2004 10:18:10 +1100

libxml++ (0.28.0-1) unstable; urgency=low

  * New upstream release

 -- Chris Leishman <masklin@debian.org>  Tue,  9 Dec 2003 14:32:50 +1100

libxml++ (0.27.0-2) unstable; urgency=low

  * Removed manpage for historic xml++-config
  * Renamed -dev package to include SO version

 -- Chris Leishman <masklin@debian.org>  Tue,  9 Dec 2003 14:32:37 +1100

libxml++ (0.27.0-1) unstable; urgency=medium (blocking other packages)

  * New upstream release (closes: Bug#202674).
  * Merged patches from Christophe Barbe <christophe@debian.org> for
    bug fixes and static linking of libxml++/io/libio.

 -- Chris Leishman <masklin@debian.org>  Mon,  8 Dec 2003 13:23:31 +1100

libxml++ (0.23.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix missing Depends (Closes: #215908).
  * Strip binary.
  * Improved long description (Closes: #209909).

 -- christophe barbe <christophe@debian.org>  Fri,  5 Dec 2003 20:28:21 -0500

libxml++ (0.23.0-1) unstable; urgency=low

  * New upstream release

 -- Chris Leishman <masklin@debian.org>  Fri, 06 Jun 2003 16:42:12 +0300

libxml++ (0.22.0-3) unstable; urgency=low

  * Fixed problem for autobuilder (closes: Bug#193615)

 -- Chris Leishman <masklin@debian.org>  Sat, 17 May 2003 14:19:32 +0300

libxml++ (0.22.0-2) unstable; urgency=low

  * Added shlibs - Not sure how that got lost (closes: Bug#192720)
  * Set libxml++-doc to architecture all (closes: Bug#192015)

 -- Chris Leishman <masklin@debian.org>  Fri, 16 May 2003 20:56:47 +0300

libxml++ (0.22.0-1) unstable; urgency=low

  * New upstream version 0.22.0
  * Corrected package names to match so versions (closes: Bug#191712)

 -- Chris Leishman <masklin@debian.org>  Sat, 3 May 2003 12:57:23 +0300

libxml++ (0.21.0-2) unstable; urgency=low

  * Real new upstream version 0.21.0 (closes: Bug#183852)

 -- Chris Leishman <masklin@debian.org>  Fri, 7 Mar 2003 23:42:53 +0200

libxml++ (0.21.0-1) unstable; urgency=low

  * New upstream version 0.21.0

 -- Chris Leishman <masklin@debian.org>  Thu, 6 Mar 2003 13:40:00 +0200

libxml++ (0.20.0-1) unstable; urgency=low

  * New upstream version 0.20.0

 -- Chris Leishman <masklin@debian.org>  Mon, 20 Feb 2003 13:40:00 +0200

libxml++ (0.18.0-1) unstable; urgency=low

  * New upstream version 0.18.0 (closes: Bug#177542)

 -- Chris Leishman <masklin@debian.org>  Mon, 20 Jan 2003 14:06:00 +0200

libxml++ (0.16.0-4) unstable; urgency=low

  * Fixed some lintian warnings.
  * Fixed the config.* files properly (closes: Bug#173554)

 -- Chris Leishman <masklin@debian.org>  Fri, 13 Dec 2002 17:00:30 +0200

libxml++ (0.16.0-3) unstable; urgency=low

  * Updated the automake/autoconf build files (closes: Bug#172498)
  * Fixed some lintian problems.

 -- Chris Leishman <masklin@debian.org>  Tue, 10 Dec 2002 16:45:30 +0200


