=== debian/control ===
Source: libxml++
Priority: optional
Section: devel
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8.0), libxml2-dev (>= 2.5.1), autotools-dev,
  pkg-config, doxygen, chrpath
Standards-Version: 3.9.2
Homepage: http://libxmlplusplus.sourceforge.net/

Package: libxml++1.0-dev
Section: libdevel
Architecture: any
Depends: libxml++1.0c2a (= ${binary:Version}), libc6-dev, libxml2-dev (>= 2.5.1), libstdc++-dev, pkg-config, ${misc:Depends}
Provides: libxml++-dev
Conflicts: libxml++-dev, libxml++0-dev
Replaces: llibxml++-dev, ibxml++0-dev
Suggests: libxml++-doc
Description: C++ interface to the GNOME XML library (libxml2)
 libxml++ is a C++ wrapper for the libxml2 XML parser library (otherwise
 known as the GNOME2 XML library).  It has SAX and DOM-like APIs, but does not
 attempt to conform exactly to the DOM specification because they are not
 aimed at C++.  Its API is much simpler than the underlying libxml C API.
 .
 Install this package if you with to develop your own programs using this
 library.

Package: libxml++1.0c2a
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libxml++1.0, libxml++1.0c2
Conflicts: libxml++1.0, libxml++1.0c2
Description: C++ interface to the GNOME XML library (libxml2)
 libxml++ is a C++ wrapper for the libxml2 XML parser library (otherwise
 known as the GNOME2 XML library).

Package: libxml++1.0-doc
Section: doc
Architecture: all
Provides: libxml++-doc
Replaces: llibxml++-doc, ibxml++0-doc
Suggests: libxml++-dev, doc-base
Depends: ${misc:Depends}
Description: HTML interface documentation and examples for libxml++
 libxml++ is a C++ wrapper for the libxml2 XML parser library (otherwise
 known as the GNOME2 XML library).  It has SAX and DOM-like APIs, but does not
 attempt to conform exactly to the DOM specification because they are not
 aimed at C++.  Its API is much simpler than the underlying libxml C API.
 .
 This package contains HTML interface documentation generated from the
 libxml++ source, as well as examples of libxml++ use.
