=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_BUILD_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	mv config.sub config.sub.orig
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	mv config.guess config.guess.orig
	cp -f /usr/share/misc/config.guess config.guess
endif
	touch configure.in && \
	touch aclocal.m4 && \
	touch acinclude.m4 && \
	touch ltmain.sh && \
	touch configure
	find . -name 'Makefile.am' | xargs touch
	find . -name 'Makefile.in' | xargs touch
	./configure $(confflags) \
	            --prefix=/usr \
		    --mandir=\$${prefix}/share/man \
		    --infodir=\$${prefix}/share/info


build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: config.status
	dh_testdir
	$(MAKE) -C docs/reference
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf docs/reference/1.0
	rm -f docs/reference/libxml++_doxygen_tags

	@if test -e config.sub.orig; then		\
		rm -f config.sub;			\
		mv config.sub.orig config.sub;		\
	fi
	@if test -e config.guess.orig; then		\
		rm -f config.guess;			\
		mv config.guess.orig config.guess;	\
	fi

	dh_clean
	rm -rf examples.dist

install: install-indep install-arch

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/libxml++-1.0.so.1.0.3
	dh_install -a --list-missing

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	find examples -type d -a ! -name CVS -a ! -name '.*' | \
	  sed -e 's/^examples/examples.dist/' | xargs install -d
	for file in `find examples ! -type d -a ! -path '*/CVS*' -a ! -path '*/.*' -a ! -name '.*' -a ! -name 'Makefile*'`; do \
		target=`dirname $$file | sed -e 's/^examples/examples.dist/'`; \
		install -m0644 $$file $$target; \
	done

	dh_install -i --list-missing

# Common target for binary-indep/binary-arch.  Must not depend on anything and
# will get called by another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	-rm debian/libxml++1.0-doc/usr/share/doc/libxml++1.0-doc/html/jquery.js
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -Xdoxygen_tags
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

# Build architecture-independent files using the common target.
binary-indep: install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture-dependent files using the common target.
binary-arch: install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

.PHONY: build clean install install-indep install-arch install binary binary-common binary-indep binary-arch
